Skip to main content
POST
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
kquote-cancel
Cancel a KRX quote
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/orders/kquote-cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_msg_id": "<string>",
  "orig_quote_msg_id": "<string>",
  "quote_cancel_type": 123,
  "symbol": "<string>"
}
'
{
  "isSuccess": true,
  "detail": "<string>",
  "data": {
    "msg_type": "<string>",
    "request_id": "<string>",
    "orig_request_id": "<string>",
    "client_id": "<string>",
    "hft_gateway": "<string>",
    "source_service": "<string>",
    "source_sequence": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

KQuote cancel request fields.

KQuoteCancelRequest schema.

quote_msg_id
string
required

Required.

orig_quote_msg_id
string

Original quote message identifier.

quote_cancel_type
integer<int32>

Quote cancel type.

symbol
string

Trading symbol.

Response

Accepted

AckResponse schema.

isSuccess
boolean

Indicates whether the operation completed successfully.

Example:

true

detail
string

Detailed information for the record.

data
object

Ack schema.